Submitted By: Jim Gifford (patches at jg555 dot com)
Date: 2006-02-06
Initial Package Version: 5.1
Origin: Upstream
Upstream Status: Applied 
Description: Contains Patch 001-002 from Upstream 

diff -Naur readline-5.1.orig/readline.c readline-5.1/readline.c
--- readline-5.1.orig/readline.c	2005-07-05 02:29:35.000000000 +0000
+++ readline-5.1/readline.c	2006-02-06 22:23:31.000000000 +0000
@@ -714,7 +714,7 @@
 
 	  rl_dispatching = 1;
 	  RL_SETSTATE(RL_STATE_DISPATCHING);
-	  r = (*map[key].function)(rl_numeric_arg * rl_arg_sign, key);
+	  (*map[key].function)(rl_numeric_arg * rl_arg_sign, key);
 	  RL_UNSETSTATE(RL_STATE_DISPATCHING);
 	  rl_dispatching = 0;
 
diff -Naur readline-5.1.orig/terminal.c readline-5.1/terminal.c
--- readline-5.1.orig/terminal.c	2005-11-13 01:46:54.000000000 +0000
+++ readline-5.1/terminal.c	2006-02-06 22:24:54.000000000 +0000
@@ -122,7 +122,7 @@
 static char *_rl_visible_bell;
 
 /* Non-zero means the terminal can auto-wrap lines. */
-int _rl_term_autowrap;
+int _rl_term_autowrap = -1;
 
 /* Non-zero means that this terminal has a meta key. */
 static int term_has_meta;
@@ -274,6 +274,9 @@
 _rl_set_screen_size (rows, cols)
      int rows, cols;
 {
+  if (_rl_term_autowrap == -1)
+    _rl_init_terminal_io (rl_terminal_name);
+
   if (rows > 0)
     _rl_screenheight = rows;
   if (cols > 0)
diff -Naur readline-5.1.orig/text.c readline-5.1/text.c
--- readline-5.1.orig/text.c	2005-09-24 23:06:07.000000000 +0000
+++ readline-5.1/text.c	2006-02-06 22:23:31.000000000 +0000
@@ -1071,8 +1071,6 @@
 rl_delete (count, key)
      int count, key;
 {
-  int r;
-
   if (count < 0)
     return (_rl_rubout_char (-count, key));
 
@@ -1090,17 +1088,17 @@
       else
 	rl_forward_byte (count, key);
 
-      r = rl_kill_text (orig_point, rl_point);
+      rl_kill_text (orig_point, rl_point);
       rl_point = orig_point;
-      return r;
     }
   else
     {
       int new_point;
 
       new_point = MB_NEXTCHAR (rl_line_buffer, rl_point, 1, MB_FIND_NONZERO);
-      return (rl_delete_text (rl_point, new_point));
+      rl_delete_text (rl_point, new_point);
     }
+  return 0;
 }
 
 /* Delete the character under the cursor, unless the insertion
